Package org.apache.qpid.proton.codec

# Class DecodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.qpid.proton.codec.DecodeException

All Implemented Interfaces:
  `Serializable`

public class DecodeException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DecodeException()`
`DecodeException(String message)`
`DecodeException(String message, Throwable cause)`
`DecodeException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DecodeException

public DecodeException()

### DecodeException

public DecodeException(String message)

### DecodeException

public DecodeException(String message, Throwable cause)

### DecodeException

public DecodeException(Throwable cause)